The POS Invoice Merge Log object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

status string

Default: draft

posting_date string required
customer string required
consolidated_invoice string
consolidated_credit_note string
pos_closing_entry string
merge_invoices_based_on string required
customer_group string
posting_time string required
company string required
The POS Invoice Merge Log object
{
  "id": "p-o-s-invoice-merge-log_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "posting_date": "2024-01-15",
  "customer": "customer_example",
  "consolidated_invoice": "2024-01-15",
  "consolidated_credit_note": "2024-01-15",
  "pos_closing_entry": "pos_closing_entry_example",
  "merge_invoices_based_on": "merge_invoices_based_on_example",
  "customer_group": "customer_group_example",
  "posting_time": "posting_time_example",
  "company": "Example Corp"
}
GET /api/accounts/p-o-s-invoice-merge-log/{id}

Retrieve a pos invoice merge log

Retrieves the details of an existing pos invoice merge log. Supply the unique pos invoice merge log ID that was returned from a previous request.

Path parameters

id string required

The identifier of the pos invoice merge log to retrieve.

Returns

Returns the pos invoice merge log object if a valid identifier was provided.

GET /api/accounts/p-o-s-invoice-merge-log/{id}
curl https://api.overplane.dev/api/accounts/p-o-s-invoice-merge-log/p-o-s-invoice-merge-log_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "p-o-s-invoice-merge-log_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "posting_date": "2024-01-15",
  "customer": "customer_example",
  "consolidated_invoice": "2024-01-15",
  "consolidated_credit_note": "2024-01-15",
  "pos_closing_entry": "pos_closing_entry_example",
  "merge_invoices_based_on": "merge_invoices_based_on_example",
  "customer_group": "customer_group_example",
  "posting_time": "posting_time_example",
  "company": "Example Corp"
}
GET /api/accounts/p-o-s-invoice-merge-log

List all pos invoice merge logs

Returns a list of pos invoice merge logs. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of pos invoice merge log objects.

GET /api/accounts/p-o-s-invoice-merge-log
curl https://api.overplane.dev/api/accounts/p-o-s-invoice-merge-log \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "p-o-s-invoice-merge-log_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "status": "draft",
      "posting_date": "2024-01-15",
      "customer": "customer_example",
      "consolidated_invoice": "2024-01-15",
      "consolidated_credit_note": "2024-01-15",
      "pos_closing_entry": "pos_closing_entry_example",
      "merge_invoices_based_on": "merge_invoices_based_on_example",
      "customer_group": "customer_group_example",
      "posting_time": "posting_time_example",
      "company": "Example Corp"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/p-o-s-invoice-merge-log

Create a pos invoice merge log

Creates a new pos invoice merge log object.

Body parameters

status string

Default: draft

posting_date string required
customer string required
consolidated_invoice string
consolidated_credit_note string
pos_closing_entry string
merge_invoices_based_on string required
customer_group string
posting_time string required
company string required

Returns

Returns the newly created pos invoice merge log object if the call succeeded.

POST /api/accounts/p-o-s-invoice-merge-log
curl https://api.overplane.dev/api/accounts/p-o-s-invoice-merge-log \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"posting_date":"2024-01-15","customer":"customer_example","merge_invoices_based_on":"merge_invoices_based_on_example","posting_time":"posting_time_example","company":"Example Corp"}'
Response
{
  "id": "p-o-s-invoice-merge-log_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "posting_date": "2024-01-15",
  "customer": "customer_example",
  "consolidated_invoice": "2024-01-15",
  "consolidated_credit_note": "2024-01-15",
  "pos_closing_entry": "pos_closing_entry_example",
  "merge_invoices_based_on": "merge_invoices_based_on_example",
  "customer_group": "customer_group_example",
  "posting_time": "posting_time_example",
  "company": "Example Corp"
}
PATCH /api/accounts/p-o-s-invoice-merge-log/{id}

Update a pos invoice merge log

Updates the specified pos invoice merge log by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the pos invoice merge log to update.

Body parameters

status string

Default: draft

posting_date string
customer string
consolidated_invoice string
consolidated_credit_note string
pos_closing_entry string
merge_invoices_based_on string
customer_group string
posting_time string
company string

Returns

Returns the updated pos invoice merge log object.

PATCH /api/accounts/p-o-s-invoice-merge-log/{id}
curl https://api.overplane.dev/api/accounts/p-o-s-invoice-merge-log/p-o-s-invoice-merge-log_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"status":"draft","posting_date":"2024-01-15"}'
Response
{
  "id": "p-o-s-invoice-merge-log_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "posting_date": "2024-01-15",
  "customer": "customer_example",
  "consolidated_invoice": "2024-01-15",
  "consolidated_credit_note": "2024-01-15",
  "pos_closing_entry": "pos_closing_entry_example",
  "merge_invoices_based_on": "merge_invoices_based_on_example",
  "customer_group": "customer_group_example",
  "posting_time": "posting_time_example",
  "company": "Example Corp"
}
DELETE /api/accounts/p-o-s-invoice-merge-log/{id}

Delete a pos invoice merge log

Permanently deletes a pos invoice merge log. This cannot be undone.

Path parameters

id string required

The identifier of the pos invoice merge log to delete.

Returns

Returns a confirmation that the pos invoice merge log has been deleted.

DELETE /api/accounts/p-o-s-invoice-merge-log/{id}
curl https://api.overplane.dev/api/accounts/p-o-s-invoice-merge-log/p-o-s-invoice-merge-log_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "p-o-s-invoice-merge-log_abc123",
  "deleted": true
}
POST /api/accounts/p-o-s-invoice-merge-log/{id}/submit

Submit a pos invoice merge log

Submits a draft pos invoice merge log, transitioning its status from draft to submitted.

Path parameters

id string required

The identifier of the pos invoice merge log to act on.

Returns

Returns the pos invoice merge log object with updated status.

POST /api/accounts/p-o-s-invoice-merge-log/{id}/submit
curl https://api.overplane.dev/api/accounts/p-o-s-invoice-merge-log/p-o-s-invoice-merge-log_abc123/submit \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "p-o-s-invoice-merge-log_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "posting_date": "2024-01-15",
  "customer": "customer_example",
  "consolidated_invoice": "2024-01-15",
  "consolidated_credit_note": "2024-01-15",
  "pos_closing_entry": "pos_closing_entry_example",
  "merge_invoices_based_on": "merge_invoices_based_on_example",
  "customer_group": "customer_group_example",
  "posting_time": "posting_time_example",
  "company": "Example Corp"
}
POST /api/accounts/p-o-s-invoice-merge-log/{id}/cancel

Cancel a pos invoice merge log

Cancels a submitted pos invoice merge log, transitioning its status to cancelled.

Path parameters

id string required

The identifier of the pos invoice merge log to act on.

Returns

Returns the pos invoice merge log object with updated status.

POST /api/accounts/p-o-s-invoice-merge-log/{id}/cancel
curl https://api.overplane.dev/api/accounts/p-o-s-invoice-merge-log/p-o-s-invoice-merge-log_abc123/cancel \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "p-o-s-invoice-merge-log_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "posting_date": "2024-01-15",
  "customer": "customer_example",
  "consolidated_invoice": "2024-01-15",
  "consolidated_credit_note": "2024-01-15",
  "pos_closing_entry": "pos_closing_entry_example",
  "merge_invoices_based_on": "merge_invoices_based_on_example",
  "customer_group": "customer_group_example",
  "posting_time": "posting_time_example",
  "company": "Example Corp"
}